version: '3.8'

services:
  wa-bot:
    build: .
    container_name: wa-bot
    restart: always
    init: true
    shm_size: '2gb'
    ports:
      - "3000:3000"
    volumes:
      - ./.wwebjs_auth:/app/.wwebjs_auth
      - ./.wwebjs_cache:/app/.wwebjs_cache
      - ./db:/app/db
    environment:
      - NODE_ENV=production
      - API_KEY=rahasia123
